Subject: Re: [PATCH 3/3] Teach "git branch" about --new-workdir

From: Marius Storm-Olsen <[email-masked]>
Date: Wed, 25 Jul 2007 14:10:30 +0200

Andy Parkins said the following on 25.07.2007 13:05:
> On Wednesday 2007 July 25, Johannes Schindelin wrote:
> 
>> So this leaves me with the question: do Windows users really want
>> a proper native Windows support for Git?  If the answer is yes,
>> why don't they _do_ (as in "not talk") something about it?
> 
> I don't disagree with you at all - it is completely ridiculous for
> Windows users to moan about lack of Windows support without
> contributing any help. However, I think there is a good reason.
> 
> I think it's a chicken and egg problem.  The only reason I started
> making (small) contributions to git was because I was using it
> already.  I didn't set out with the goal "to improve git"; I set
> out looking for a DVCS. Luckily for me, I use Linux so git worked
> pretty well for me straight away.
> 
> The same is not true for Windows users.  Even if we ignore the fact
> that Windows users are notoriously less open-source savvy; it's
> unlikely that we'll get any Windows contributions until there are
> some threshold number of developers using git on Windows.
> 
> Open-source is all about scratching an itch, I can't see how
> Windows developers can get a gitch to scratch without being users
> of git first.  On the positive side though, there surely must come
> a point when the Windows port is "good enough" that it will start
> to gather users and hence developers.  Until then, I suppose it's
> just a matter of shouting "patch" every time a windows user asks
> for a feature :-)

Hi Andy,

Your mail is refreshingly spot on. I agree fully with what you say.
I will try to do my part to get Git to this 'threshold', so we can get 
a proper Windows community behind it too. (It's just a matter of time 
and resources, which I hope we clear up soon)
My first roadmap item will be to get a fully native compile of the 
built-in code. If we at least have a Git built with native tools, I 
think we'll have a lot more people wanting(/able?) to contribute.

AFAIK the MinGW port is cross-compiled on Linux, and can be hard to 
set up on Windows. The required MinGW packages are scattered all over 
the place. So, it's not impossible at the moment, but I guess most 
Windows users feel a bit unmotivated to work on the code mostly since 
they'll have to develop using Cygwin. (I don't know if that's the 
reason, just a hunch)

So, IMO its not that Windows users don't _want_ to contribute. I think 
they feel they can't. Let's see if we can fix that. I'll let the list 
know as soon as I get native builds going.

Later!

--
.marius